# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rhllor/version'

Gem::Specification.new do |spec|
  spec.name          = "rhllor"
  spec.version       = Rhllor::VERSION
  spec.authors       = ["xieenlong"]
  spec.email         = ["xieenlong@ricebok.com"]

  spec.summary       = %q{Rhllor Cli}
  spec.description   = %q{「懒」才是第一生产力！Rhllor项目生成脚手架}
  spec.homepage      = "http://enjoy.ricebook.com"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency 'liquid', '~> 4.0.0.rc3'
  spec.add_dependency 'tty-prompt', '~> 0.10.1'

end
